- Qt 6.8
- Qt Network
- C++ Classes
- QDnsTextRecord
- Qt 6.8.3 Reference Documentation

# QDnsTextRecord Class

The QDnsTextRecord class stores information about a DNS TXT record. More...

Header: | `#include <QDnsTextRecord>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Network)` `target_link_libraries(mytarget PRIVATE Qt6::Network)`
qmake: | `QT += network`

- List of all members, including inherited members
- QDnsTextRecord is part of Network Programming API and Implicitly Shared Classes.

## Public Functions

| QDnsTextRecord()
| QDnsTextRecord(const QDnsTextRecord &other)
| ~QDnsTextRecord()
QString | name() const
void | swap(QDnsTextRecord &other)
quint32 | timeToLive() const
QList<QByteArray> | values() const
QDnsTextRecord & | operator=(const QDnsTextRecord &other)

## Detailed Description

When performing a text lookup, zero or more records will be returned. Each record is represented by a QDnsTextRecord instance.

The meaning of the fields is defined in RFC 1035.

See also QDnsLookup.

## Member Function Documentation

### QDnsTextRecord::QDnsTextRecord()

Constructs an empty text record object.

### QDnsTextRecord::QDnsTextRecord(const QDnsTextRecord &other)

Constructs a copy of other.

### `[noexcept]` QDnsTextRecord::~QDnsTextRecord()

Destroys a text record.

### QString QDnsTextRecord::name() const

Returns the name for this text record.

### `[noexcept]` void QDnsTextRecord::swap(QDnsTextRecord &other)

Swaps this text record instance with other. This operation is very fast and never fails.

### quint32 QDnsTextRecord::timeToLive() const

Returns the duration in seconds for which this record is valid.

### QList<QByteArray> QDnsTextRecord::values() const

Returns the values for this text record.

### QDnsTextRecord &QDnsTextRecord::operator=(const QDnsTextRecord &other)

Assigns the data of the other object to this record object, and returns a reference to it.